zabbix_export:
  version: '7.0'
  host_groups:
    - uuid: 7a0da5e62436441c82e5420a46edd3d0
      name: Hosts/DNS
  hosts:
    - host: 'MONITORAMENTO DNS BIND'
      name: 'MONITORAMENTO DNS BIND'
      groups:
        - name: Hosts/DNS
      interfaces:
        - ip: 10.10.50.253
          interface_ref: if1
      items:
        - name: 'Consultas Recusadas pelo Servidor'
          type: DEPENDENT
          key: consultas.recusadas
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.rcodes.REFUSED
          master_item:
            key: pega.dados.geral
        - name: 'Erros Internos do Servidor'
          type: DEPENDENT
          key: erros.server
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.rcodes.SERVFAIL
          master_item:
            key: pega.dados.geral
        - name: 'Pega Dados Geral Bind'
          type: HTTP_AGENT
          key: pega.dados.geral
          history: '0'
          value_type: TEXT
          trends: '0'
          interface_ref: if1
          url: 'http://{HOST.CONN}:8053/json'
        - name: 'Quantidade de Requisições IPv4'
          type: DEPENDENT
          key: qnt.req.ipv4
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.qtypes.A
          master_item:
            key: pega.dados.geral
        - name: 'Quantidade de Requisições IPv6'
          type: DEPENDENT
          key: qnt.req.ipv6
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.qtypes.AAAA
          master_item:
            key: pega.dados.geral
        - name: 'Total de Memória'
          type: DEPENDENT
          key: total.mem
          delay: '0'
          units: B
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.memory.TotalUse
          master_item:
            key: pega.dados.geral
        - name: 'Memória Usada'
          type: DEPENDENT
          key: used.mem
          delay: '0'
          units: B
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.memory.InUse
          master_item:
            key: pega.dados.geral
        - name: 'Memória Usada em %'
          type: CALCULATED
          key: used.mem.porcent
          units: '%'
          params: '(last(//used.mem)/last(//total.mem))*100'
      inventory_mode: DISABLED
